html,
body {
  height: 100vh;
  overflow: hidden;
}

body {
  background-repeat: no-repeat;
  background-size: contain;
  background-position: left bottom;
}

.m-logo {
  width: 300px;
  margin: 20px 0 0 30px;
}

/*  */
.m-tips-info {
  width: 100%;
  position: fixed;
  top: 35%;
  text-align: center;
  font-size: 65px;

  text-shadow: 0 3px 5px rgba(0, 0, 0, 0.15);
  /* transform: translate(-50%, -50%); */
  background: linear-gradient(45deg, #ed9d2a, #fbe016, #95c939, #18952f);
  background-size: 500%;
  animation: test 10s infinite;
  -webkit-background-clip: text;
  color: transparent;
}

@keyframes test {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 100% 100%;
  }

  100% {
    background-position: 0 0;
  }
}

.wechat-code-wrapper {
  position: fixed;
  right: 20px;
  bottom: 100px;
  display: flex;
}

.m-wechat-code {
  display: flex;
}

.m-wechat-code li {
  width: 120px;
  background-color: #fff;
  padding: 10px;
  border-radius: 3px;
  border: 1px solid #106d21;
  box-shadow: 0 4px 7px rgba(0, 0, 0, 0.25);
  transition: all 0.5s ease;
}

.m-wechat-code li a {
  display: block;
  width: 100%;
}

.m-wechat-code li:hover {
  transform: scale(1.15);
  transition: all 0.2s ease;
}

.m-wechat-code li:nth-child(even) {
  margin: 0 20px;
}

.m-wechat-code li img {
  width: 100%;
}

.m-wechat-code li > span {
  width: 100%;
  display: block;
  text-align: center;
  font-size: 14px;
}

/*  */

.m-contact {
  font-size: 16px;
  font-weight: bold;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  color: #fff;
  margin: 0 0 0 10px;
}

.m-contact li a {
  color: #fff;
}

/*  */
.m-ft {
  position: fixed;
  left: 50%;
  bottom: 10px;
  transform: translateX(-50%);
  font-size: 16px;
}

.m-ft a {
  color: #000;
}

/*  */
/* Small devices (landscape phones, less than 768px) */
@media (max-width: 1199.98px) {
  body {
    background-position: left bottom;
    background: linear-gradient(to bottom, #fff, rgba(97, 189, 58, 0.25));
  }

  .m-logo {
    width: 70%;
    margin: 30px auto 0 auto;
  }

  .m-tips-info {
    position: relative;
    width: 80%;
    margin: 0 auto;
    text-align: center;
    font-size: 12vw;
    top: 10vw;
  }

  .wechat-code-wrapper {
    position: relative;
    display: block;
    left: 0;
    right: 0;
    top: 50px;
    padding: 0 10px;
  }

  .m-wechat-code {
    margin: 5vw auto 0 auto;
    display: flex;
    justify-content: space-around;
    align-items: baseline;
  }

  .m-wechat-code li {
    width: 30%;
  }

  .m-wechat-code li a {
    width: 100%;
  }

  .m-wechat-code li img {
    width: 100%;
  }

  .m-wechat-code li span {
    font-size: 3vw;
  }

  .m-wechat-code li:nth-child(even) {
    margin: 10px 0;
  }

  .m-contact,
  .m-contact li a {
    color: #106d21;
  }

  .m-contact {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: flex-start;
    margin-left: 0;
    padding: 10px 30px 0 30px;
    font-weight: normal;
  }

  .m-contact li {
    flex: 0 0 100%;
    padding: 0 5px;
    margin-bottom: 10px;
    /* text-align: center; */
    font-size: 3.5vw;
  }

  .m-ft {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    font-size: 14px;
    left: 0;
    right: 0;
    bottom: 0;
    height: 60vw;
    transform: translateX(0);
    text-align: center;
    background-image: url('../images/index-bg.svg');
    background-repeat: no-repeat;
    background-position: left bottom;
    background-size: 150%;
    padding: 0 0 10px 0;
    z-index: -1;
  }
}
